Bug 131141 - mkspec script could be customized for fedora core and it produces wrong version/revision info
Summary: mkspec script could be customized for fedora core and it produces wrong versi...
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-08-27 21:31 UTC by Aleksandar Milivojevic
Modified: 2015-01-04 22:09 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-26 17:05:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Aleksandar Milivojevic 2004-08-27 21:31:57 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040626 Firefox/0.9.1

Description of problem:
I've installed kernel-sourcecode package, cutomized it, and run "make
rpm" to build new kernel rpm.  I spotted two minor things that could
be improved.

"Make rpm" used vanila mkspec script to generate spec file.  This spec
file isn't customized for Fedora, but is rather general.  It would be
nice if mkspec distributed in Fedora's kernel-sourcecode would
generate spec file based on the spec file used to build actual kernel
package (with all postinstall/preremove parts that are used to build
initrd image and other stuff).

The version of generated rpm is missing "-" between version and
revision.  For example, it generates "kernel-2.6.51.358custom-2", but
really should be generating "kernel-2.6.5-1.358custom-2" or maybe
"kernel-2.6.5-1.358custom2".  AFAIK, Linus still hasn't released
2.6.51 ;-)

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. rpm -i kernel-sourcecode-ver.rpm
2. cd /usr/src/linux-ver
3. make rpm
    

Additional info:

Comment 1 Aleksandar Milivojevic 2004-08-27 21:55:44 UTC
BTW, one other small thing I forgot.  Packages were created as i386
instead of i686 in the name (rpmbuild was called with that option from
Makefile)...

Comment 2 Aleksandar Milivojevic 2005-01-26 17:05:54 UTC
Guess this is cosmetic thing that nobody really cares about.  No point
in keeping it open.


Note You need to log in before you can comment on or make changes to this bug.